import https from "@/plugins/luch-request_0.0.7/request";

/** *
 * 分类及花材数据(库存预警、库存管理共用这个接口)
 * @parmas py 花材拼音
 * @parmas type 库存预警时，固定为waring，其他情况不传或者传空
 */
export const getProductDataApi = data => {
	return https.get("/product/index", data);
};
/** *
	* 获取所有分类（包括常用、全部）（暂不用）
	* @parmas py 花材拼音
	* @parmas type 库存预警时，固定为waring，其他情况不传或者传空
	*/
export const getAllProductDataApi = data => {
	return https.get("/product/list", data);
};

/**
 * 自动调价
 * productId
 */
export const autoPriceByIdApi = data => {
	return https.post("/product/auto-price", data);
};

/**
 * 改价
 * productId
 * price
 */
export const changePriceByIdApi = data => {
	return https.post("/product/change-price", data);
};
